Package com.xebialabs.xlrelease.builder

# Class VariableBuilder<V,C extends Variable.VariableWithValue<V>>

java.lang.Object
com.xebialabs.xlrelease.builder.VariableBuilder<V,C>

public class VariableBuilder<V,C extends Variable.VariableWithValue<V>> extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableBuilder(Class<C> variableClass, String key, V value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `C`
  `build()`
  `VariableBuilder<V,C>`
  `isInherited(boolean inherited)`
  `static VariableBuilder<Boolean,BooleanVariable>`
  `newBooleanVariable(String k, Boolean v)`
  `static VariableBuilder<Date,DateVariable>`
  `newDateVariable(String k, Date v)`
  `static VariableBuilder<String,PasswordStringVariable>`
  `newExternalPasswordVariable(String k, String v)`
  `static StringVariable`
  `newGlobalVariable(String k, String v)`
  `static VariableBuilder<Integer,IntegerVariable>`
  `newIntegerVariable(String k, Integer v)`
  `static VariableBuilder<List<String>,ListStringVariable>`
  `newListStringVariable(String k, List<String> v)`
  `static VariableBuilder<Map<String,String>,MapStringStringVariable>`
  `newMapStringStringVariable(String k, Map<String,String> v)`
  `static VariableBuilder<String,PasswordStringVariable>`
  `newPasswordStringVariable(String k, String v)`
  `static VariableBuilder<String,ReferenceVariable>`
  `newReferenceVariable(String k, String v, String referencedType)`
  `static VariableBuilder<Set<String>,SetStringVariable>`
  `newSetStringVariable(String k, Set<String> v)`
  `static VariableBuilder<String,StringVariable>`
  `newStringVariable(String k, String v)`
  `static StringVariable`
  `newVariable(String k, String v)`
  `VariableBuilder<V,C>`
  `withDescription(String description)`
  `VariableBuilder<V,C>`
  `withExternalValue(String externalValue)`
  `VariableBuilder<V,C>`
  `withFolderId(String folderId)`
  `VariableBuilder<V,C>`
  `withId(String id)`
  `VariableBuilder<V,C>`
  `withLabel(String label)`
  `VariableBuilder<V,C>`
  `withPreventInterpolation(boolean preventInterpolation)`
  `VariableBuilder<V,C>`
  `withReferencedType(String referencedType)`
  `VariableBuilder<V,C>`
  `withRequiresValue(boolean value)`
  `VariableBuilder<V,C>`
  `withShowOnReleaseStart(boolean value)`
  `VariableBuilder<V,C>`
  `withValueProvider(ValueProviderConfiguration valueProvider)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VariableBuilder

    public VariableBuilder(Class<C> variableClass, String key, V value)

- ## Method Details

  - ### newVariable

    public static StringVariable newVariable(String k, String v)

  - ### newGlobalVariable

    public static StringVariable newGlobalVariable(String k, String v)

  - ### newStringVariable

    public static VariableBuilder<String,StringVariable> newStringVariable(String k, String v)

  - ### newPasswordStringVariable

    public static VariableBuilder<String,PasswordStringVariable> newPasswordStringVariable(String k, String v)

  - ### newExternalPasswordVariable

    public static VariableBuilder<String,PasswordStringVariable> newExternalPasswordVariable(String k, String v)

  - ### newListStringVariable

    public static VariableBuilder<List<String>,ListStringVariable> newListStringVariable(String k, List<String> v)

  - ### newSetStringVariable

    public static VariableBuilder<Set<String>,SetStringVariable> newSetStringVariable(String k, Set<String> v)

  - ### newMapStringStringVariable

    public static VariableBuilder<Map<String,String>,MapStringStringVariable> newMapStringStringVariable(String k, Map<String,String> v)

  - ### newBooleanVariable

    public static VariableBuilder<Boolean,BooleanVariable> newBooleanVariable(String k, Boolean v)

  - ### newIntegerVariable

    public static VariableBuilder<Integer,IntegerVariable> newIntegerVariable(String k, Integer v)

  - ### newDateVariable

    public static VariableBuilder<Date,DateVariable> newDateVariable(String k, Date v)

  - ### newReferenceVariable

    public static VariableBuilder<String,ReferenceVariable> newReferenceVariable(String k, String v, String referencedType)

  - ### withId

    public VariableBuilder<V,C> withId(String id)

  - ### withRequiresValue

    public VariableBuilder<V,C> withRequiresValue(boolean value)

  - ### withShowOnReleaseStart

    public VariableBuilder<V,C> withShowOnReleaseStart(boolean value)

  - ### withLabel

    public VariableBuilder<V,C> withLabel(String label)

  - ### withFolderId

    public VariableBuilder<V,C> withFolderId(String folderId)

  - ### withDescription

    public VariableBuilder<V,C> withDescription(String description)

  - ### withValueProvider

    public VariableBuilder<V,C> withValueProvider(ValueProviderConfiguration valueProvider)

  - ### withExternalValue

    public VariableBuilder<V,C> withExternalValue(String externalValue)

  - ### withPreventInterpolation

    public VariableBuilder<V,C> withPreventInterpolation(boolean preventInterpolation)

  - ### isInherited

    public VariableBuilder<V,C> isInherited(boolean inherited)

  - ### withReferencedType

    public VariableBuilder<V,C> withReferencedType(String referencedType)

  - ### build

    public C build()